Package org.apache.solr.common.util

# Interface Cache<K,V>

All Known Implementing Classes:
  `MapBackedCache`, `ObjectCache`

public interface Cache<K,V>

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`default V`
`computeIfAbsent(K key, Function<? super K,? extends V> mappingFunction)`
`V`
`get(K key)`
`V`
`put(K key, V val)`
`V`
`remove(K key)`

## Method Details

### put

V put(K key, V val)

### get

V get(K key)

### remove

V remove(K key)

### clear

void clear()

### computeIfAbsent

default V computeIfAbsent(K key, Function<? super K,? extends V> mappingFunction)